

import javax.persistence.EntityManager;
import java.util.Map;
import java.util.Properties;
import java.util.HashMap;
import java.net.URL;

/**
 * @author Wonseok Kim
 */
public class JpaTestHelper {
    public static Map propertiesMap;
    public static String PROPERTIES_FILE = "META-INF/persistence.properties"; 

    public static Map getProperties(String fileName) {
        Properties properties = new Properties();
        URL url = Thread.currentThread().getContextClassLoader().getResource(fileName);
        if(url == null)
            return null;
        
        try {
            properties.load(url.openStream());
        } catch (java.io.IOException exception){
           throw new  RuntimeException("Error loading " + fileName, exception);
        }
        return properties;
    }
        
    public static void clearCache(EntityManager em) {
        try {
            ((oracle.toplink.essentials.internal.ejb.cmp3.EntityManagerImpl)em).getServerSession().getIdentityMapAccessor().initializeIdentityMaps();
        } catch (Exception ex) {
            throw new RuntimeException("An exception occurred trying clear the cache.", ex);
        }   
    }
    
}
