
import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * A sample entity.
 */
@Entity
@Table(name="DVT_PERSON")
public class Person implements java.io.Serializable {
    private static int idGenerator = 1;
    private int id;
    private String name;
    private String nickName;
    private Address address;

    public Person() {
        this.id = idGenerator++;
    }

    public Person(int id, String name){
        this.id = id;
        this.name = name;
    }

    public Person(int id, String name, String nickName) {
        this.id = id;
        this.name = name;
        this.nickName = nickName;
    }

    @Id
    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @OneToOne(cascade={CascadeType.PERSIST, /*CascadeType.MERGE,*/ CascadeType.REFRESH})
//    @OneToOne(cascade={CascadeType.ALL})
    public Address getAddress() {
        return address;
    }

    public void setAddress(Address address) {
        this.address = address;
    }

    
}
